The Alternative Csound Reference Manual
Previous |  | Next

# inch

inch -- Reads from a numbered channel in an external audio signal or stream.

## Description

Reads from a numbered channel in an external audio signal or stream.

## Syntax

ar1 inch ksig1

## Performance

inch reads from a numbered channel determined by ksig1 into a1. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer.

## Credits

in32, inx, inz

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
May 2000

New in Csound Version 4.07

Previous | Home | Next
in32 | Up | inh